Bug 419141 - Review Request: cellwriter - handwriting input method
Review Request: cellwriter - handwriting input method
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-10 21:27 EST by Jeremy Katz
Modified: 2007-12-15 04:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-15 04:10:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-12-10 21:27:22 EST
Spec URL: http://katzj.fedorapeople.org/review/cellwriter/cellwriter.spec
SRPM URL: http://katzj.fedorapeople.org/review/cellwriter/cellwriter-1.3.1-1.fc9.src.rpm
CellWriter is a grid-entry natural handwriting input panel. As 
you write characters into the cells, your writing is instantly 
recognized at the character level. When you press 'Enter' on the 
panel, the input you entered is sent to the currently focused 
application as if typed on the keyboard.
Comment 1 Parag AN(पराग) 2007-12-10 22:07:58 EST
from build.log
key "Categories" is a list and does not have a semicolon as trailing character,
error: value "cellwriter.svg" for key "Icon" in group "Desktop Entry" is an icon
name with an extension, but there should be no extension as described in the
Icon Theme Specification if the value is not an absolute path
Error on file
Failed to validate the created desktop file
error: Bad exit status from /var/tmp/rpm-tmp.35461 (%install)
Comment 2 Jeremy Katz 2007-12-10 22:22:55 EST
The error has changed to a warning in the newest version of desktop-file-utils
(0.14-2), but I've also sent a patch upstream to get it fixed when he does a new
release.  And the trailing semi-colon gets added by desktop-file-install
Comment 3 Parag AN(पराग) 2007-12-10 22:29:25 EST
I think you can use Source url as

You may want to add gtk-update-icon-cache scriptlet also.

Rest looks ok to me. If you patch dekstop file then this package successfully
build in mock.
Comment 5 Parag AN(पराग) 2007-12-11 21:45:12 EST
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
811c221ad070ea389c18feea7819472c  cellwriter-1.3.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop file handled correctly.
+ GUI app.

Comment 6 Jeremy Katz 2007-12-11 22:01:13 EST
Thanks for the quick review!

New Package CVS Request
Package Name: cellwriter
Short Description: Handwriting input method
Owners: katzj
Branches: devel F-8
Cvsextras Commits: yes
Comment 7 Dennis Gilmore 2007-12-11 23:44:09 EST
CVS done 
Comment 8 Parag AN(पराग) 2007-12-15 04:10:05 EST
Package already built for all requested branches. Therefore, closing this review

Note You need to log in before you can comment on or make changes to this bug.